using System;
using System.Resources;
using System.Reflection;

namespace ResourcesSample
{
	public sealed class MyResources
	{
		private static ResourceManager m_pResManager;
		public static string GetString(string sKey)
		{
			if (m_pResManager == null)
			{
				m_pResManager = new ResourceManager("ResourcesSample.MyStringTable", Assembly.GetExecutingAssembly());
			}
			return m_pResManager.GetString(sKey);
		}
	}

	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class CMainClass
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			CMyWorkingClass wrk = new CMyWorkingClass();
			wrk.PrintResourceString();
		}
	}
}
